/**
	@file charset.d
	@brief NScripter向けに文字コード変換する。
	@author senzogawa
**/
module nscr.charset;

private import std.windows.charset;
private import std.string;

/// NScripter向けの文字コード(Shift_JIS)に変換する。
char[] toNScrCharset(char[] str){
	return std.string.toString(std.windows.charset.toMBSz(str));
}


/// NScripterの文字コード(Shift_JIS)から変換する。
char[] fromNScrCharset(char[] str){
	return std.windows.charset.fromMBSz(std.string.toStringz(str));
}


/// NScripter向けの文字コード(Shift_JIS)に変換する。
char* toNScrCharsetz(char[] str){
	return std.windows.charset.toMBSz(str);
}


/// NScripterの文字コード(Shift_JIS)から変換する。
char[] fromNScrCharsetz(char* str){
	return std.windows.charset.fromMBSz(str);
}
